Subject: Re: B20: make confused with //a style drive specifiers
From: Earnie Boyd <[email-masked]>
To: Graham Dumpleton <[email-masked]>
Cc: cygwin users <[email-masked]>
Date: Mon, 15 Feb 1999 07:55:18 -0800 (PST)

You need to read the FAQ concerning the environment variable MAKE_MODE.

---Graham Dumpleton <[email-masked]> wrote:
>
> Came across the following problem in B20 which I believe should
work. With
> a makefile of:
> 
>   need1 := g:/a g:/b g:/c g:/d g:/e g:/f
> 
>   all1 : $(need1)
> 
>   $(need1) : % :
> 	  @echo $@
> 
>   need2 := //g/a //g/b //g/c //g/d //g/e //g/f
> 
>   all2 : $(need2)
> 
>   $(need2) : % :
> 	  @echo $@
> 
> When I run "make all1" I get.
> 
>   g:/a
>   g:/b
>   g:/c
>   g:/d
>   g:/e
>   g:/f
> 
> When I run "make all2" I get.
> 
>   make: *** No rule to make target `//g/a', needed by `all2'.  Stop.
> 
> If you use -p option to look at what is going on you will find that
make
> seems to be incorrectly concatenating adjacent targets together when
"//g"
> is used instead of "g:".
> 
>   all2: //g/a //g/b //g/c //g/d //g/e //g/f
>   #  Command-line target.
>   #  Implicit rule search has been done.
>   #  File does not exist.
>   #  File has not been updated.
> 
>   //g/a //g/b:
>   #  Implicit rule search has not been done.
>   #  Implicit/static pattern stem: `//g/a //g/b'
>   #  Modification time never checked.
>   #  File has not been updated.
>   #  commands to execute (from `foo.mk', line 13):
> 	  @echo $@
> 
> Since the rule which is set up seems to have a target of "//g/a
//g/b",
> there is no separate targets for either "//g/a" or "//g/b" and thus
make
> doesn't know how to build them, or something like that.
> 
> -- 
> Graham Dumpleton ([email-masked])
> 

==
-                        \\||//
-------------------o0O0--Earnie--0O0o-------------------
--                [email-masked]               --
-- http://www.freeyellow.com/members5/gw32/index.html --
----------------------ooo0O--O0ooo----------------------

PS: Newbie's, you should visit my page.
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com